All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::utils::scalartype_size_fun Struct Reference

`#include <utils.hpp>`

## Public Types

typedef vcl_size_t | result_type

## Public Member Functions

result_type | operator() (float const &) const
result_type | operator() (double const &) const
template<class T >
result_type | operator() (T const &) const

## Detailed Description

Definition at line 251 of file utils.hpp.

## Member Typedef Documentation

typedef vcl_size_t viennacl::device_specific::utils::scalartype_size_fun::result_type

Definition at line 253 of file utils.hpp.

## Member Function Documentation

result_type viennacl::device_specific::utils::scalartype_size_fun::operator() | ( | float const & |  | ) | const

inline

Definition at line 254 of file utils.hpp.

result_type viennacl::device_specific::utils::scalartype_size_fun::operator() | ( | double const & |  | ) | const

inline

Definition at line 255 of file utils.hpp.

template<class T >

result_type viennacl::device_specific::utils::scalartype_size_fun::operator() | ( | T const & |  | ) | const

inline

Definition at line 256 of file utils.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/utils.hpp